<html>
<head>
    <title>Secure Acceptance - Payment Form Example</title>
    <%# <link rel="stylesheet" type="text/css" href="payment.css"/> %>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>
<body>
    <p><center>Loading...</center></p>
    <form name="paycs" action="<%= CYBS_URL %>" method="POST">
        <input type="text" hidden value="<%= @data[:access_key]%>" name="access_key">
        <input type="text" hidden value="<%= @data[:amount]%>" name="amount">
        <input type="text" hidden value="<%= @data[:currency]%>" name="currency">
        <input type="text" hidden value="<%= @data[:locale]%>" name="locale">
        <input type="text" hidden value="<%= @data[:profile_id]%>" name="profile_id">
        <input type="text" hidden value="<%= @data[:reference_number]%>" name="reference_number">
        <input type="text" hidden value="<%= @data[:signature]%>" name="signature">
        <input type="text" hidden value="<%= @data[:signed_date_time]%>" name="signed_date_time">
        <input type="text" hidden value="<%= @data[:signed_field_names]%>" name="signed_field_names">
        <input type="text" hidden value="<%= @data[:transaction_type]%>" name="transaction_type">
        <input type="text" hidden value="<%= @data[:transaction_uuid]%>" name="transaction_uuid">
        <input type="text" hidden value="<%= @data[:unsigned_field_names]%>" name="unsigned_field_names">
        <!--<input type="text" hidden value="<%= @data[:bill_to_address_city]%>" name="bill_to_address_city">
        <input type="text" hidden value="<%= @data[:bill_to_address_country]%>" name="bill_to_address_country">
        <input type="text" hidden value="<%= @data[:bill_to_address_line1]%>" name="bill_to_address_line1">
        <input type="text" hidden value="<%= @data[:bill_to_address_line2]%>" name="bill_to_address_line2">
        <input type="text" hidden value="<%= @data[:bill_to_company_name]%>" name="bill_to_company_name">
        <input type="text" hidden value="<%= @data[:bill_to_email]%>" name="bill_to_email">
        <input type="text" hidden value="<%= @data[:bill_to_forename]%>" name="bill_to_forename">
        <input type="text" hidden value="<%= @data[:bill_to_surname]%>" name="bill_to_surname">
        <input type="text" hidden value="<%= @data[:bill_to_phone]%>" name="bill_to_phone">
        <input type="text" hidden value="<%= @data[:ship_to_address_city]%>" name="ship_to_address_city">
        <input type="text" hidden value="<%= @data[:ship_to_address_country]%>" name="ship_to_address_country">
        <input type="text" hidden value="<%= @data[:ship_to_address_line1]%>" name="ship_to_address_line1">
        <input type="text" hidden value="<%= @data[:ship_to_address_line2]%>" name="ship_to_address_line2">
        <input type="text" hidden value="<%= @data[:ship_to_company_name]%>" name="ship_to_company_name">
        <input type="text" hidden value="<%= @data[:ship_to_forename]%>" name="ship_to_forename">
        <input type="text" hidden value="<%= @data[:ship_to_surname]%>" name="ship_to_surname">
        <input type="text" hidden value="<%= @data[:ship_to_phone]%>" name="ship_to_phone">-->
        
    </form>
    <script type="text/javascript">
        document.paycs.submit();
    </script>
</body>
</html>